Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem.wsht
Class HornetQHTWorkItemHandler

    java.lang.Object
      org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
          org.jbpm.process.workitem.wsht.GenericHTWorkItemHandler
              org.jbpm.process.workitem.wsht.HornetQHTWorkItemHandler

All Implemented Interfaces:
  WorkItemHandler

    public class HornetQHTWorkItemHandler

extends GenericHTWorkItemHandler

This class provides the default configurations for a HornetQ WorkItem Handler

Field Summary

Fields inherited from class org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
`action, eventHandlers, session`

Constructor Summary
`HornetQHTWorkItemHandler(org.kie.runtime.KnowledgeRuntime session)`
`HornetQHTWorkItemHandler(org.kie.runtime.KnowledgeRuntime session, boolean owningSessionOnly)`
`HornetQHTWorkItemHandler(org.kie.runtime.KnowledgeRuntime session, OnErrorAction action)`
`HornetQHTWorkItemHandler(String connectorName, TaskService client, org.kie.runtime.KnowledgeRuntime session, OnErrorAction action)`
`HornetQHTWorkItemHandler(String connectorName, TaskService client, org.kie.runtime.KnowledgeRuntime session, OnErrorAction action, ClassLoader classLoader)`
`HornetQHTWorkItemHandler(TaskService client, org.kie.runtime.KnowledgeRuntime session)`
`HornetQHTWorkItemHandler(TaskService client, org.kie.runtime.KnowledgeRuntime session, boolean owningSessionOnly)`
`HornetQHTWorkItemHandler(TaskService client, org.kie.runtime.KnowledgeRuntime session, OnErrorAction action)`

Method Summary
`String` | `getConnectorName()`
`void` | `setConnectorName(String connectorName)`

Methods inherited from class org.jbpm.process.workitem.wsht.GenericHTWorkItemHandler
`abortWorkItem, autoClaim, connect, dispose, executeWorkItem, getClassLoader, getClient, getIpAddress, getPort, isConnected, isLocal, isOwningSessionOnly, registerTaskEvents, setClassLoader, setClient, setIpAddress, setLocal, setOwningSessionOnly, setPort`

Methods inherited from class org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
`createTaskBasedOnWorkItemParams, createTaskContentBasedOnWorkItemParams, isAutoClaim, setAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HornetQHTWorkItemHandler

    public HornetQHTWorkItemHandler(org.kie.runtime.KnowledgeRuntime session)

### HornetQHTWorkItemHandler

    public HornetQHTWorkItemHandler(org.kie.runtime.KnowledgeRuntime session,
                                    boolean owningSessionOnly)

### HornetQHTWorkItemHandler

    public HornetQHTWorkItemHandler(org.kie.runtime.KnowledgeRuntime session,
                                    OnErrorAction action)

### HornetQHTWorkItemHandler

    public HornetQHTWorkItemHandler(TaskService client,
                                    org.kie.runtime.KnowledgeRuntime session)

### HornetQHTWorkItemHandler

    public HornetQHTWorkItemHandler(TaskService client,
                                    org.kie.runtime.KnowledgeRuntime session,
                                    boolean owningSessionOnly)

### HornetQHTWorkItemHandler

    public HornetQHTWorkItemHandler(TaskService client,
                                    org.kie.runtime.KnowledgeRuntime session,
                                    OnErrorAction action)

### HornetQHTWorkItemHandler

    public HornetQHTWorkItemHandler(String connectorName,
                                    TaskService client,
                                    org.kie.runtime.KnowledgeRuntime session,
                                    OnErrorAction action)

### HornetQHTWorkItemHandler

    public HornetQHTWorkItemHandler(String connectorName,
                                    TaskService client,
                                    org.kie.runtime.KnowledgeRuntime session,
                                    OnErrorAction action,
                                    ClassLoader classLoader)

Method Detail

### getConnectorName

    public String getConnectorName()

### setConnectorName

    public void setConnectorName(String connectorName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.